wincache_ucache_delete
wincache_ucache_get
WinCache Functions
PHP Manual

# wincache_ucache_exists

Checks if a variable exists in the user cache

### Description

bool wincache_ucache_exists ( string `$key` )

Checks if a variable with the `key` exists in the user cache or not.

### Parameters

`key`

  The `key` that was used to store the variable in the cache. `key` is case sensitive.

### Return Values

Returns `TRUE` if variable with the `key` exitsts, otherwise returns `FALSE`.

### Examples

Example #1 Using wincache_ucache_exists

`<?php
if (!wincache_ucache_exists('green'))
wincache_ucache_set('green', 1);
var_dump(wincache_ucache_exists('green'));
?>`

The above example will output:

    bool(true)

### See Also

- wincache_ucache_set
- wincache_ucache_add
- wincache_ucache_get
- wincache_ucache_clear
- wincache_ucache_delete
- wincache_ucache_meminfo
- wincache_ucache_info